Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041261
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajorhave not tried2019-07-02 15:582019-07-16 18:24
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision77bfe8613a09
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041261: FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params

DescriptionThis code is not using bind-params:

a.) major isPeriodOpen (i.e. call via Reconciliation.java)
b.) isReversePayment,getOrderedPaymentDetailList

When fixing please apply new HQL-Style to all 7 cases in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00412383.0PR19Q4 closedcollazoandy4 FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params 

-  Notes
(0113448)
hgbot (developer)
2019-07-16 18:21

Repository: erp/backports/3.0PR19Q3
Changeset: 77bfe8613a092a30f9b8366c1fa1ee2a3ea3c68b
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Jul 16 18:19:25 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q3/rev/77bfe8613a092a30f9b8366c1fa1ee2a3ea3c68b [^]

iFixes issue 41261: FIN_Utility is not using bind-params

The isPeriodOpen, isReversePayment and getOrderedPaymentDetailList methods was
updated with bind-params

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0113453)
dmiguelez (developer)
2019-07-16 18:24

Fixed by commit: https://code.openbravo.com/erp/backports/3.0PR19Q3/rev/77bfe8613a09 [^]
(0113454)
dmiguelez (developer)
2019-07-16 18:24

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2019-07-03 17:01 shuehner Type defect => backport
2019-07-03 17:01 shuehner Target Version => 3.0PR19Q3
2019-07-16 18:21 hgbot Checkin
2019-07-16 18:21 hgbot Note Added: 0113448
2019-07-16 18:24 dmiguelez Note Added: 0113453
2019-07-16 18:24 dmiguelez Status scheduled => resolved
2019-07-16 18:24 dmiguelez Fixed in Version => 3.0PR19Q3
2019-07-16 18:24 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/backports/3.0PR19Q3/rev/77bfe8613a09 [^]
2019-07-16 18:24 dmiguelez Resolution open => fixed
2019-07-16 18:24 dmiguelez Review Assigned To => dmiguelez
2019-07-16 18:24 dmiguelez Note Added: 0113454
2019-07-16 18:24 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker